请选择 进入手机版 | 继续访问电脑版
查看: 128|回复: 3

固件升级失败以及控制器向下兼容问题

[复制链接]

1

主题

3

帖子

20

积分

口耳相传

Rank: 1

积分
20
发表于 6 天前 | 显示全部楼层 |阅读模式
我司目前在用UAP型号从早期的UAP到目前的UAP-HD都有,总共100+个
之前控制器版本为5.9.29,AP管控上一切正常

但是存在UAP及UAP-LR、UniFi AP-LR v2固件一旦升级到到最新固件(4.0.15.9872),就会出现部分终端无法连接的问题,具体表现为:
1.完全无法连接,提示连接失败
2.完全无法连接,连接过程中电脑无线网卡会打上红叉,连接失败之后恢复为未连接状态
3.连接上之后1分钟不到时间就会再次掉线并且无法再连
这个问题一直存在,因此一直未给这些型号AP进行固件升级,群里反应过几次但都不了了之,因为对实际使用影响并不大就没有持续跟进。

新问题出现在昨天下午,新安装一台UAP-nanoHD,配置完成之后在控制器进行了固件升级
在控制器上看到AP在writing一段时间后直接跳回CONNECTED状态,但是版本并未更新为4.0.21.9965,依旧停留在3.9.23.8240上
QQ截图20190413154136.png
并且依旧提示升级固件,多次点击升级之后,情况依旧。
考虑到官方已经放出新版本控制器(5.10.20)有一段时间,在昨晚尝试升级控制器看看能否解决该AP升级失败的问题,然后问题就大发了
1.备份原控制器配置文件
2.下载新版控制器并执行安装,安装程序自动完成安装及升级
3.登录之后看到所有AP执行了同步操作
4.再次对之前升级失败的UAP-nanoHD进行升级,依旧失败,表现一致
5.同时发现5.10.20版本的控制器,无法控制非最新版本固件的AP
具体表现为所有配置项均为灰色
QQ截图20190413154450.png

不显示该AP下的客户端数,不显示上行下载统计,不显示信道参数

微信图片_20190413153549.png

发现这个问题之后,我重新安装5.9.29版本控制器并恢复配置,问题并没有解决:
固件版本为3.7.55.6308等旧版本固件AP依旧可控,正常可用
但是新版本控制器下可用的AP(固件版本为4.0.21.9965)所有状态都变成了Inform Error无法正常控制

所以,请问这个问题怎么解决,如何让控制器重新管理全部AP?
过渡版本是否应当考虑向前兼容?是否该考虑回滚机制?对企业级产品来说如此一刀切做法是否太不合适?
回复

使用道具 举报

3

主题

1328

帖子

4788

积分

版主

Rank: 15Rank: 15Rank: 15

积分
4788
发表于 6 天前 | 显示全部楼层
本帖最后由 catseye 于 2019-4-13 19:44 编辑

首先您的问题分两个方面:
1.您使用的第一代的UAP和UAP-LR仅支持到5.6.40版本,之后的版本不再支持旧款设备,其实被不支持的设备还有第一代的UAP-AC型号;如果需要管理这些第一代UAP产品,请使用5.6.40或更早的AC控制器版本;「这些在版本说明里都有详细的描述提示的,这里抄一段5.10.20的描述:Support for PicoM2 and 1st gen AC models was dropped in 5.7.x. Please see our announcement HERE.」当然这并不是说完全放弃了对1代设备的支持,只是不会增加新的功能了,一些维护性的升级还是会有的,但是都会体现在类似5.6.xx的版本更新上,看上去应该最近会有发布5.6.41:「This update contains an upgrade to the overall security of the UniFi platform and its devices, it is highly recommend that everyone upgrades to this version. We will also be preparing 5.6.41 to accommodate 1st gen AC devices

2.由于控制器下的AP升级其实是AP向远程服务器下载自己需要的版本固件,然后升级,因此网络繁忙或外网不稳定皆会导致升级失败;可以选择下班后或没人占用上网带宽的时候升级;但是也有一个捷径,其实在你站点上如果存在一个型号的AP升级成功的话,其实这个版本的固件已经下载过了,可以在控制器的SETTING--》Maintenance--〉FIRMWARE中将已经升级成功过的版本CACHE缓存到控制器本地,这样再升级同型号的设备的时候就是本地升级了,如果本地网络问题不大的话,升级成功率会提高很多。当然这个会占用AC控制器的存储空间,如果用UCK之类的小容量装载控制器的,请随时关注本地存储的余量保证足够,因为硬盘空间空余的少于4个G的时候,很容易导致控制器的数据库无法启动……引发控制器故障。

希望上述信息可以帮助到你的决策。

回复 支持 反对

使用道具 举报

1

主题

3

帖子

20

积分

口耳相传

Rank: 1

积分
20
 楼主| 发表于 5 天前 | 显示全部楼层
catseye 发表于 2019-4-13 19:28
首先您的问题分两个方面:
1.您使用的第一代的UAP和UAP-LR仅支持到5.6.40版本,之后的版本不再支持旧款设备 ...

关于第一点不支持1代设备的说法,事实经过尝试,我将控制器降回5.9.29,就可以进行升级,将AP固件升级至4.0.15并且在5.10.20控制器下可以正常管理,但是4.0.15固件的UAP会出现帖子中说的第一种电脑、手机无法连接的情况

第二点升级基本不能归咎到网络环境上,昨天下午空闲时候升级失败,昨晚半夜也升级过,均失败。固件升级并不是第一次,忙时闲时都有,从来没有出现过这个情况,这是第一次遇上
回复 支持 反对

使用道具 举报

3

主题

1328

帖子

4788

积分

版主

Rank: 15Rank: 15Rank: 15

积分
4788
发表于 5 天前 | 显示全部楼层
SunPDZH 发表于 2019-4-14 00:02
关于第一点不支持1代设备的说法,事实经过尝试,我将控制器降回5.9.29,就可以进行升级,将AP固件升级至4 ...

是的,不得不说,其实UAP和UAP-LR的支持仍在进行中,但UAP-AC和另外一个型号已经剔除了;看来你并没用到那两个型号,真是很幸运。也很高兴你已经做了降级处理恢复了管理使用;可以试一下5.9.29中带的LR的版本是否可用,看资料当时的版本是:https://dl.ubnt.com/unifi/firmwa ... 537.180317.1223.bin
也会比你这个3.7.55的新一点;

至于说升级失败的情况,因为你发现失败的时候是非常快速恢复到connect状态的,其实就是下载后初步的版本校验都没通过,所以没写的过程就恢复到原来的版本工作了;如果是开始刷写的过程中失败了设备就直接GG了。基本判别上就是网络下载的固件版本文件有错误导致失败;所以前述有提供过本地缓存的方式,您可以试试。


回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

优倍快网络技术咨询(上海)有限公司 沪ICP备13034452

© ubnt.com.cn All Rights Reserved.本站发布的所有内容,未经许可,不得转载.

快速回复 返回顶部 返回列表